Subject: RE: [Enum] FW: Last Call or New Draft? - .arpa or .e;164.itu.in t ?

From: [email-masked]
Date: Thu, 13 Jul 2000 14:54:00 +0300

Patrik,

A question about your draft.

You give this example:

>    A user, John Smith, want to contact Sven Svensson, he to start with
>    only has the E.164 number of Sven, i.e. +46-8-9761234. He takes the
>    number, and enters the number in his communication client, which
>    happen to know how to handle the SIP protocol. The client removes
>    the dashes, and ends up with the E.164 number +4689761234. That is
>    what is used in the algorithm for NAPTR records, which is as
>    follows.
>
>    The client converts the E.164 number into the domainname
>    4.3.2.1.6.7.9.8.6.4.e164.arpa., and queries for NAPTR records for
>    this domainname. Using DNS mechanisms which includes following the
>    NS record referals, the following records are returned:
>
>    $ORIGIN 4.3.2.1.6.7.9.8.6.4.e164.arpa.
>     IN NAPTR 10 10 "a" "sip+N2R"  "!^.*$!sip:[email-masked]"
 .
>     IN NAPTR 10 10 "a" "smtp+N2R" "!^.*$!mailto:[email-masked]"
 .
>     IN NAPTR 10 10 "a" "http+N2R" "!^.*$!http://svensson.ispa.example.se"
 .
>     IN NAPTR 10 10 "a" "tel+N2R"  "!^.*$!tel:+46-8-9761234"
 .
>
>    Because this client know sip, the first record above is selected,
>    and the SIP URI is extracted, and used according to SIP resolution.

Is there away to prepend the service name, if you know what you want?

If I wanted to contact Sven by SIP (& only by SIP), could I query:

  _sip.4.3.2.1.6.7.9.8.6.4.e164.arpa. (or something close to that)

That could simplify things.

also, I remember seeing a suggestion that we use a E2I for the ENUM
service name (instead of N2R) - is that at all applicable to this
draft?

best regards,
John

_______________________________________________
enum mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/enum

---

From: Patrik Fältström <[email-masked]>
Date: Thu, 13 Jul 2000 09:59:41 -0700

>That could simplify things.

No, in DNS you always get back all RRs which have the same "owner", 
and for NAPTRs that is 4.3.2.1.6.7.9.8.6.4.e164.arpa.

There is no definition at the moment for the NAPTR RRs to request 
only one of the services separately (for example by using a naming 
convention like you propose).

>service name (instead of N2R) - is that at all applicable to this

Let me check with the NAPTR people.

   paf

---

From: Patrik Fältström <[email-masked]>
Date: Thu, 13 Jul 2000 11:00:28 -0700

>Let me check with the NAPTR people.

Ok, I will do a new version with E2I defined, and explain why.

   paf